module mm
  !> \e module var \f$ MM1 \f$
  !! <br>second line of MM1
  integer, parameter :: mm1 
  integer, parameter :: mm2 !< \e module var \f$ MM2 \f$
                            !< <br>second line of MM2
  integer, parameter :: mm3 !< \e module var \f$ MM3 \f$
                            !! <br>second line of MM3

   TYPE(tt1)
     !> \e type var \f$ mt1 \f$
     !! <br>second line of mt1
     integer :: mt1
     integer :: mt2 !< \e type var \f$ mt2 \f$
     !! <br>second line of mt2
     integer :: mt3 !< \e type var \f$ mt3 \f$
     !! <br>second line of mt3
   END TYPE
end module
!> @param p1 \e subr var \f$ P1 \f$
!> <br>second line of p1
subroutine ss1(p1, p2, p3, p3a, p4, p5, p5a)
  integer :: p1
  !> \e subr var \f$ p2 \f$
  !> <br>second line of p2
  integer :: p2
  integer :: p3 !< \e subr var \f$ p3 \f$
                !< <br>second line of p3
  integer :: p3a !< \e subr var \f$ p3a \f$
                 !! <br>second line of p3a
  !> @param p4 \e subr var \f$ p4 \f$
  !> <br>second line of p4
  integer :: p4
  integer :: p5 !< @param p5 \e subr var \f$ p5 \f$
                !< <br>second line of p5
  integer :: p5a !< @param p5a \e subr var \f$ p5a \f$
                 !! <br>second line of p5a
end subroutine
